Changing the settings of a network¶
Note
The body must include the attributes id and modified to identify the corresponding entry.
Note
The ID of the entry in the path of the request must match the value of the attribute id in the body.
Note
The attributes pps_limit and pps_limit_percentage are mutually exclusive; the same applies to bw_limit and bw_limit_percentage.
Note
The status enabled and the attribute subnet_mitigation_override cannot be changed while an active mitigation is running for the network.
Note
This request is only available to SOC users.
Sends a PATCH request to the endpoint /networks/{network}.
Description¶
The Change-Network request changes the settings of a network of the organisation.
Requirements¶
Values of the request: Network ID {network}
Objects: NetworkVO
Request¶
To change the settings of a network, add the Network ID {network} to the path of the request.
For a detailed specification of which information is required to change the settings of a network, an object NetworkVO with the following attributes must be defined in the body:
| Attributes | Description | Values |
|---|---|---|
id |
The ID of the network. | string |
modified |
The last modification date in ISO 8601 format. | string($date-time) |
cidr |
The CIDR range of the network. | string |
enabled |
Defines whether automatic mitigation is enabled for the network. If false, no automatic mitigations can be triggered; manual mitigations and ops mitigations are not affected. |
|
pps_limit |
The PPS threshold. | integer |
bw_limit |
The bandwidth threshold in Mbps. | integer |
The following attributes are optional:
| Attributes | Description | Values |
|---|---|---|
name |
The name of the network. | string |
pps_limit_percentage (if percentage thresholds enabled) |
The PPS limit as a percentage. | integer |
pps_limit_calculated |
The calculated PPS threshold. | integer |
bw_limit_percentage (if percentage thresholds enabled) |
The bandwidth limit as a percentage. | integer |
bw_limit_calculated |
The calculated bandwidth threshold. | integer |
team_id |
The ID of the organisation to which this network belongs. | string |
autoStatus |
Defines whether an automatic mitigation is currently running for the network. |
|
manualStatus |
Defines whether a manual mitigation is currently running for the network. |
|
active_partial_mitigations |
The active partial manual mitigations. | array |
active_partial_auto_mitigations |
The active partial automatic mitigations. | array |
country_blocks |
The active country blocks. | array |
data_only (if available) |
If true, the network is shown in the dashboard for monitoring only and cannot be mitigated. |
|
subnet_mitigation_override (if subnet override enabled) |
Defines whether the subnet size restriction is overridden for cloud or hybrid mitigation. |
|
extra |
Additional information about the network. | object |
mitigation_type |
The configured mitigation type. | string |
network_type (if network types enabled) |
The type of the network. | string |
customer_reference (if customer references enabled) |
The customer reference identifier. | string |
emails |
The email addresses for notifications. | array |
duration |
The default mitigation duration in seconds. | integer |
auto_mitigation_strategy |
The strategy used for automatic mitigations. | string |
As a result, the user gets an object NetworkVO with the requested information.
The object provides the following information:
| Attributes | Description | Values |
|---|---|---|
id |
The ID of the network. | string |
name |
The name of the network. | string |
cidr |
The CIDR range of the network. | string |
enabled |
Defines whether automatic mitigation is enabled for the network. If false, no automatic mitigations can be triggered; manual mitigations and ops mitigations are not affected. |
|
pps_limit |
The PPS threshold. | integer |
bw_limit |
The bandwidth threshold in Mbps. | integer |
pps_limit_percentage (if percentage thresholds enabled) |
The PPS limit as a percentage. | integer |
pps_limit_calculated |
The calculated PPS threshold. | integer |
bw_limit_percentage (if percentage thresholds enabled) |
The bandwidth limit as a percentage. | integer |
bw_limit_calculated |
The calculated bandwidth threshold. | integer |
team_id |
The ID of the organisation to which this network belongs. | string |
autoStatus |
Defines whether an automatic mitigation is currently running for the network. |
|
manualStatus |
Defines whether a manual mitigation is currently running for the network. |
|
active_partial_mitigations |
The active partial manual mitigations. | array |
active_partial_auto_mitigations |
The active partial automatic mitigations. | array |
country_blocks |
The active country blocks. | array |
data_only (if available) |
If true, the network is shown in the dashboard for monitoring only and cannot be mitigated. |
|
extra |
Additional information about the network. | object |
mitigation_type |
The configured mitigation type. | string |
network_type (if network types enabled) |
The type of the network. | string |
customer_reference (if customer references enabled) |
The customer reference identifier. | string |
emails |
The email addresses for notifications. | array |
duration |
The default mitigation duration in seconds. | integer |
auto_mitigation_strategy |
The strategy used for automatic mitigations. | string |
Example¶
Example request body:
{
"name": "Production Network",
"cidr": "127.0.0.1/32",
"enabled": true,
"pps_limit": 1000,
"bw_limit": 200,
"pps_limit_percentage": 80,
"pps_limit_calculated": 800,
"bw_limit_percentage": 80,
"bw_limit_calculated": 160,
"team_id": "xY9pQ5wR1",
"autoStatus": false,
"manualStatus": false,
"active_partial_mitigations": [
{}
],
"active_partial_auto_mitigations": [
{}
],
"country_blocks": [
{}
],
"data_only": false,
"allow_manual_mitigation": true,
"extra": {},
"mitigation_type": "string",
"network_type": "string",
"customer_reference": "abc",
"emails": [
"string"
],
"duration": 3600,
"auto_mitigation_strategy": "ip"
}
Responses¶
The following responses are available:
| STATUS CODE | DESCRIPTION |
|---|---|
| 200 | The request has succeeded. |
| 401 | The request has not succeeded because the user authentication was incorrect. |
| 403 | The request has not succeeded because the user does not have the right permissions. |
| 422 | The request was unsuccessful because the submitted data could not be processed. |